from ..models import OrderRequest
from .constants import DECLARATION_CHANGED
from .tasks import UpdateOrderRequestSendingTask


def send_update_order_request(declaration_id, **kwargs):
    """
    Точка расширения для отправки UpdateOrderRequest после
    отклонения измнений с концентратора.

    """

    origin_id = OrderRequest.objects.filter(
        declaration_id=declaration_id,
        order_id__isnull=False
    ).values_list('order_id', flat=True).first()

    UpdateOrderRequestSendingTask().apply_async(
        kwargs={
            'declaration_id': declaration_id,
            'order_id': origin_id,
            'event': DECLARATION_CHANGED,
            **kwargs
        }
    )
